Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Interface UniformUnsignedDist

All Known Implementing Classes:
  UniformUnsignedDistImpl

public interface UniformUnsignedDist
extends UnsignedDistribution, UnsignedDistributionS

Uniform Unsigned Distribution. A generator of non-negative integral values uniformly distributed across a closed interval [min,max]. (The interval includes both its endpoints.) Setting minValue == maxValue is allowed (and returns minValue).

Method Summary
`int` | `getUnsignedMax()` The getUnsignedMax method returns the maximum unsigned value.
`int` | `getUnsignedMin()` The getUnsignedMin method returns the minimum unsigned value.
`int` | `getUnsignedWithMin$withMax(int minVal, int maxVal)` The getUnsignedWithMin:withMax: returns an unsigned integer within the interval [min, max].

Methods inherited from interface swarm.random.UnsignedDistribution
`getUnsignedSample`

Methods inherited from interface swarm.random.ProbabilityDistribution
`getCurrentCount, getGenerator, getOptionsInitialized, getVirtualGenerator`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.random.InternalState
`getMagic, getStateSize`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getUnsignedMin

    public int getUnsignedMin()

  The getUnsignedMin method returns the minimum unsigned value.

### getUnsignedMax

    public int getUnsignedMax()

  The getUnsignedMax method returns the maximum unsigned value.

### getUnsignedWithMin$withMax

    public int getUnsignedWithMin$withMax(int minVal,
                                          int maxVal)

  The getUnsignedWithMin:withMax: returns an unsigned integer within the interval [min, max].

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD